@import "solidify-frontend/lib/application/components/routables/abstract-resource/abstract-resource.routable";
@import "src/sass/abstracts/abstracts";

:host {
  flex: 1;
  $height-toolbar: 300px;

  .toolbar-size-guard {
    height: $height-toolbar;
  }

  .toolbar-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: $height-toolbar;
    background-color: $primary-color;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    display: flex;
    justify-content: center;
    align-items: center;

    .toolbar-content {
      display: flex;
      flex-direction: column;
      text-align: center;
      max-width: 825px;
      padding: 0 20px;
      width: 100%;

      .title {
        font-size: 28px;
        color: $white;
        margin-bottom: 8px;
      }

      .subtitle {
        font-size: 16px;
        color: $white;
        margin-bottom: 40px;
      }
    }
  }

  .news-wrapper {
    display: flex;
    justify-content: center;
    padding-bottom: 20px;

    > * {
      padding: 20px;
    }

    .main-page-content {
      padding: 35px;
      margin-bottom: 20px;

      @include respond-to-smaller-than-breakpoint('md') {
        margin-right: initial;
        padding: 10px;
      }

      @include respond-to-smaller-than-breakpoint('sm') {
        padding: 5px;
      }

    }

    &.hide {
      display: none;
    }

    @include respond-to-smaller-than-breakpoint('md') {
      flex-wrap: wrap;
    }

    .left-part {
      width: 75%;
      @include respond-to-smaller-than-breakpoint('md') {
        width: 100%;
        padding: 10px;
      }

      @include respond-to-smaller-than-breakpoint('sm') {
        padding: 5px;
      }
    }

    .twitter {
      width: 25%;
      @include respond-to-smaller-than-breakpoint('md') {
        width: 100%;
        padding: 10px;
      }

      @include respond-to-smaller-than-breakpoint('sm') {
        padding: 5px;
      }
    }

    > .separator {
      width: 0;
      padding: 0;
      border-left: 1px solid $extra-light-grey;
      margin: 70px 0;

      @include respond-to-smaller-than-breakpoint('sm') {
        display: none;
      }
    }
  }

  @include content();
}

@include isInDarkMode {
  .news-wrapper {
    > .separator {
      border-color: $dark-mode-line;
    }
  }
}
